## libtifiles 1.1.8~git20240415.7c4858d

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(libtifiles2
        VERSION     1.1.8
        LANGUAGES   CXX)

file(GLOB HEADER_FILES src/*.h)
set(SRC_FILES
        ${HEADER_FILES}
        src/cert.cc
        src/comments.cc
        src/error.cc
        src/files8x.cc
        src/files9x.cc
        src/filesnsp.cc
        src/filesxx.cc
        src/filetypes.cc
        src/grouped.cc
        src/intelhex.cc
        src/misc.cc
        src/rwfile.cc
        src/tifiles.cc
        src/tigroup.cc
        src/type2str.cc
        src/types68k.cc
        src/types83p.cc
        src/typesnsp.cc
        src/typesoldz80.cc
        src/typesxx.cc
        src/ve_fp.cc)

set(PUBLIC_HEADERS
        src/tifiles.h
        src/export2.h
        src/files8x.h
        src/files9x.h
        src/types73.h
        src/types82.h
        src/types83.h
        src/types83p.h
        src/types84p.h
        src/types85.h
        src/types86.h
        src/types89.h
        src/types89t.h
        src/types92.h
        src/types92p.h
        src/typesnsp.h
        src/typesv2.h
        src/typesxx.h)

# external deps lookup
pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive)
try_static_libs_if_needed()

# auto-creation of all targets with flags etc., alongside with internal deps
create_targets_both_lib_types(tifiles2 ticonv)

set_target_properties(tifiles2_shared PROPERTIES VERSION 11.0.2 SOVERSION 11)

# there are relocation issues when linking BZip2 and zlib on linux:
#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libbz2.a(bzlib.o): relocation R_X86_64_PC32 against symbol `BZ2_crc32Table'
#   /usr/bin/ld: /usr/lib/x86_64-linux-gnu/libz.a(deflate.o): relocation R_X86_64_PC32 against symbol `z_errmsg'
#                can not be used when making a shared object; recompile with -fPIC
if(TRY_STATIC_LIBS AND NOT LINUX)
    find_package(BZip2 REQUIRED) # Needed for some reason
    target_link_libraries(tifiles2_shared ${BZIP2_LIBRARIES})
endif()

# Takes care of the i18n po/pot/gmo/mo files
if(ENABLE_NLS)
    i18n_mo_from_po_pot()
    add_dependencies(tifiles2_objlib potfiles_1)
endif()

# public export define
target_compile_definitions(tifiles2_objlib PUBLIC TIFILES_EXPORTS)

# tests
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(libtifiles2-tests
        LANGUAGES   C CXX)

add_executable(torture_tifiles torture_tifiles.c)
add_executable(test_tifiles_2 test_tifiles_2.cc)

pkg_check_modules(DEPS REQUIRED glib-2.0 libarchive)
if(USE_ICONV)
    find_package(Iconv REQUIRED)
    # flags/link for external deps
    add_compile_definitions(USE_ICONV)
endif()

foreach(tar torture_tifiles test_tifiles_2)
    if(Iconv_FOUND AND NOT Iconv_IS_BUILT_IN)
        target_include_directories(${tar} PRIVATE ${Iconv_INCLUDE_DIRS})
        target_link_libraries(${tar} ${Iconv_LIBRARIES})
    endif()

    target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})

    target_include_directories(${tar} PRIVATE
        ${PROJECT_SOURCE_DIR}/../../../libticonv/trunk/src
        ${PROJECT_SOURCE_DIR}/../src)

    if(TRY_STATIC_LIBS)
        target_compile_options(${tar} PRIVATE ${DEPS_STATIC_CFLAGS})
        target_link_directories(${tar} PRIVATE ${TRY_STATIC_DEPS_LIBSDIRS})
        target_link_libraries(${tar} ${TRY_STATIC_DEPS_LDFLAGS_OTHER} ${TRY_STATIC_DEPS_LIBS} ticonv_objlib tifiles2_objlib)
    else()
        target_compile_options(${tar} PRIVATE ${DEPS_CFLAGS})
        target_link_directories(${tar} PRIVATE ${DEPS_LIBRARY_DIRS} ${PROJECT_BINARY_DIR}/..)
        target_link_libraries(${tar} ${DEPS_LIBRARIES} ticonv_objlib tifiles2_objlib)
    endif()
endforeach()

set(builddirlibpaths "${PROJECT_BINARY_DIR}/../../../libticonv/trunk:${PROJECT_BINARY_DIR}/..")

add_custom_target(tifiles2_check
    COMMAND ${CMAKE_COMMAND} -E env LD_LIBRARY_PATH="${builddirlibpaths}" ${CMAKE_CURRENT_BINARY_DIR}/torture_tifiles
    DEPENDS torture_tifiles
    COMMENT "Run the tifiles2 torture tests"
    EXCLUDE_FROM_ALL
)

=== debian/changelog ===
libtifiles (1.1.8~git20240415.7c4858d-1) unstable; urgency=medium

  * New upstream version 1.1.8~git20240415.7c4858d
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Switch to newer pkgconf.

 -- Andreas B. Mundt <andi@debian.org>  Wed, 29 May 2024 19:04:10 +0200

=== debian/control ===
Source: libtifiles
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               libarchive-dev,
               libglib2.0-dev,
               libticonv-dev,
               pkgconf,
               tfdocgen,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/debrouxl/tilibs
Vcs-Git: https://salsa.debian.org/science-team/libtifiles.git
Vcs-Browser: https://salsa.debian.org/science-team/libtifiles

Package: libtifiles-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive-dev,
         libglib2.0-dev,
         libticonv-dev,
         libtifiles2-11 (= ${binary:Version}),
         pkgconf,
         zlib1g-dev,
         ${misc:Depends}
Description: Texas Instruments calculator files library [development files]
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the development files for the library, static library,
 required headers and documentation.

Package: libtifiles2-11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libtifiles2-10
Conflicts: libtifiles2-10
Description: Texas Instruments calculator files library
 The libtifiles is a library providing support for operations on Texas
 Instruments calculators files. All formats for all calculators are supported
 read/write ; the library is also able to manipulate the group files, which
 means it is able to group and ungroup variables into such group files.
 .
 This package provides the shared library.

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=1.1.8~git%cd.%h" \
https://github.com/debrouxl/tilibs/ \
HEAD debian debian/clean-orig-source
